Subject: beta 17.1 under 95 ( bugs )
From: [email-masked] (Peeter Joot)

10 Mar 1997 00:29:58 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Hello,

I have tried the beta17 version of the windows gcc/g++/...
Here are a couple of small problems that could probably be easily fixed:

------------------------------------------------------------------

1) bash can't handle control-C during the execution of a program -- and dies
with a "illegal operation message".

2) Make doesn't set CXX to g++ by default:

3)  Make should have a new default rule under windows/dos/os2 :
-- ( to supplement the "% : %.o" unix rule ).  ie :

%.exe : %.o
	$(CC) $(LDFLAGS) $^ -o $@

------------------------------------------------------------------

There seemed to be some more serious problems when tring to compiler some
template code that compiles with g++ ( linux 2.7.2 ELF i386 ).  
I was getting:
a) internal compiler errors

b) warning messages about virtual destructors 
( class X<Y> has virtual functions but non-virtual destructor ) -- I didn't 
get this under linux

c) g++ also gave errors that I don't get under linux:
( no matching template for `operator >>(ifstream &, const X<Y> & )' found ).

The source code that I am compiling is no different.

Any ideas?

Peeter
-- 
Peeter Joot             [email-masked]                    (416) 691-0782
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".